# Generated by Django 2.2.3 on 2019-10-09 14:45

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Niveles',
            fields=[
                ('id_nivel', models.CharField(max_length=8, primary_key=True, serialize=False)),
                ('nombre', models.CharField(max_length=10)),
                ('exp_min', models.IntegerField()),
                ('exp_max', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Preguntas',
            fields=[
                ('id_pregunta', models.CharField(max_length=10, primary_key=True, serialize=False)),
                ('pregunta', models.CharField(max_length=100)),
                ('tiempo', models.IntegerField()),
                ('puntaje', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Usuario',
            fields=[
                ('id_usuario', models.CharField(max_length=10, primary_key=True, serialize=False)),
                ('nombre', models.CharField(max_length=50)),
                ('apellido', models.CharField(max_length=50)),
                ('f_nacimiento', models.DateField(auto_now_add=True)),
                ('correo', models.CharField(max_length=60)),
                ('clave', models.CharField(max_length=10)),
                ('experiencia', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Usuario_Pregunta',
            fields=[
                ('id_usuario_pregunta', models.CharField(max_length=10, primary_key=True, serialize=False)),
                ('fecha', models.DateField(auto_now_add=True)),
                ('valor_ptos_obtenidos', models.IntegerField()),
                ('id_pregunta', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='usuario.Preguntas')),
                ('id_usuario', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='usuario.Usuario')),
            ],
        ),
        migrations.CreateModel(
            name='Usuario_Nivel',
            fields=[
                ('id_nivel', models.CharField(max_length=8, primary_key=True, serialize=False)),
                ('ptje_obtenido', models.IntegerField()),
                ('id_usuario', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='usuario.Usuario')),
            ],
        ),
        migrations.CreateModel(
            name='Respuestas',
            fields=[
                ('id_respuesta', models.CharField(max_length=10, primary_key=True, serialize=False)),
                ('respuesta', models.CharField(max_length=100)),
                ('correcta', models.BooleanField()),
                ('id_pregunta', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='usuario.Preguntas')),
            ],
        ),
        migrations.CreateModel(
            name='Comentario',
            fields=[
                ('id_comentario', models.CharField(max_length=10, primary_key=True, serialize=False)),
                ('fecha_coment', models.DateTimeField(auto_now_add=True)),
                ('comentario', models.CharField(max_length=200)),
                ('id_usuario', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='usuario.Usuario')),
            ],
        ),
    ]
